.TH ttcn3_logfilter 1 "January 2021" "Ericsson Telecom AB" "TTCN-3 Tools"
.SH NAME
ttcn3_logfilter \- TTCN-3 log file filtering utility
.SH SYNOPSIS
.B ttcn3_logfilter
.RB "[\| " \-o
.IR outfile " \|]"
.RI "{ " eventtype
(+|-) } [\|
.IR input.log " \|]"
.br
or
.br
.B ttcn3_logfilter
.B \-v | \-h | \-l
.SH DESCRIPTION
This manual page is a quick reference for the TTCN-3 logfilter utility of
the TTCN-3 Test Executor. The 
.B ttcn3_logfilter
utility, which can be found in 
.I $TTCN3_DIR/bin,
filters the input log file given in the command line argument based on the
event types in the file, and filter parameters given in the program argument.
The output is then written to an output file if specified, or to the standard
output. The program is useful only if the variable
.B LogEventTypes
is set to
.B Yes
in section
.B [LOGGING]
of the configuration file.
.SH OPTIONS
Available command line switches are:
.TP 10
.B \-h
Prints
.I help
on how to use the utility.
.TP
.B \-l
Prints the
.I list
of supported event types.
.TP
.BI \-o " outfile"
Puts its output into 
.IR outfile "."
If the file outfile exists its contents will be overwritten. This switch is
optional, when omitted the output will be printed to standard output.
.TP
.B \-v
Prints
.I version
and license key information and exits.
.SH ENVIRONMENT VARIABLES
.TP
.SM
TTCN3_DIR
The installation directory where the uncompressed binary package of
TTCN-3 Test Executor can be found.
.TP
.SM
TTCN3_LICENSE_FILE
It shall point to the
.I file
.RB ( NB:
.I not
to its directory) that contains the personalized license key for the
current user or host.
.SH BUGS
None known at this time
.LP
.SH SEE ALSO
ttcn3_logformat(1), ttcn3_logmerge(1)
.LP
The
.B User Documentation for the TTCN-3
.B Test Executor.
.SH AUTHOR
This manpage is written by Csaba Koppany, Ericsson Telecom AB
.br
Copyright (c) 2000-2025 Ericsson Telecom AB
.br
All rights reserved. This program and the accompanying materials
are made available under the terms of the Eclipse Public License v2.0
which accompanies this distribution, and is available at
.br
https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
